## qubes-mgmt-salt-base 4.0.3

=== Makefile ===
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2015 Jason Mehring <nrgaway@gmail.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

# This file is generated from FORMULA* by yaml-dumper in mgmt-salt builder plugin
include Makefile.vars

# This file is copied in from mgmt-salt
include Makefile.install

.PHONY: install-custom
install-custom::
	# Install /etc/salt/*
	cp -Tr etc $(DESTDIR)/etc

=== debian/changelog ===
qubes-mgmt-salt-base (4.0.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 09 Oct 2018 02:42:47 +0200

qubes-mgmt-salt-base (4.0.3-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 02:42:47 +0200

qubes-mgmt-salt-base (4.0.2-1) unstable; urgency=medium

  * Follow qubesadmin API change

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 08 Oct 2017 20:35:50 +0200

qubes-mgmt-salt-base (4.0.1-1) unstable; urgency=medium

  * travis: drop debootstrap workaround
  * Fix external pillar installation path
  * Adjust qvm_prefs external pillar to use Admin API
  * travis: switch to Qubes 4.0
  * Adjust qvm_prefs external pillar to use Admin API cont

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 15 Jun 2017 00:07:38 +0200

qubes-mgmt-salt-base (4.0.0-1) wheezy; urgency=medium

  [ Bahtiar `kalkin-` Gadimov ]
  * Update qvm_prefs extension to current API
  * Add .pylintrc
  * qvm-prefs pillar return None for non existing vms

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 30 Nov 2016 13:03:10 +0100

qubes-mgmt-salt-base (3.2.2-1) wheezy; urgency=medium

  * grains: add boot mode grain

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Jul 2016 02:13:56 +0200

qubes-mgmt-salt-base (3.2.1-1) wheezy; urgency=medium

  * travis: initial version
  * rpm: add missing R: /usr/bin/qubesctl
  * Drop 'state.sls config' calls

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Jun 2016 06:14:48 +0200

qubes-mgmt-salt-base (3.2.0-1) wheezy; urgency=medium

  * Add 'qubes' pillar module with selected VM properties

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 May 2016 02:52:46 +0200

qubes-mgmt-salt-base (3.1.3-1) wheezy; urgency=medium

  * Properly quote command before execution

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Jan 2016 06:20:58 +0100

qubes-mgmt-salt-base (3.1.2-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Makefile:  Added a few formatting line feeds
  * rpm: Fix typo
  * FORMULA: Use Makefile VARS for formula_dir, etc and re-ordered
    fields
  * grains:  pci_devs.py:  Use salt.utils.which to loacate lspci binary
  * debian: Fix broken "state.sls config" statement
  * grains: pci_devs - reformatted
  * grains: redefined_dom0_grains - reformatted
  * modules: debug - reformatted
  * modules: module_utils - reformatted
  * modules: qubes - reformatted
  * states: debug - reformatted
  * states: status - reformatted
  * utils: qubes_utils - reformatted
  * grains: whonix - reformatted
  * grains: redefined_dom0_grains - pylint
  * grains: whonix - pylint
  * modules: debug - pylint
  * modules: module_utils - pylint
  * modules: qubes - pylint
  * states: debug - pylint
  * states: status - pylint
  * utils: qubes_utils - pylint

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Dec 2015 01:12:53 +0100

qubes-mgmt-salt-base (3.1.1-1) wheezy; urgency=medium

  * Use first member of 'qubes' group instead of hardcoded 'user' user

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 13 Dec 2015 02:33:12 +0100

qubes-mgmt-salt-base (3.1.0-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 15:30:34 +0100

qubes-mgmt-salt-base (3.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Thu, 12 Mar 2015 00:00:00 +0000

## qubes-mgmt-salt-base 4.0.4

=== debian/changelog ===
qubes-mgmt-salt-base (4.0.4-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 13 May 2021 04:43:47 +0200

qubes-mgmt-salt-base (4.0.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 May 2021 04:43:47 +0200

## qubes-mgmt-salt-base 4.1.0

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.0-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 23 Mar 2019 04:20:03 +0100

qubes-mgmt-salt-base (4.1.0-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update new path of 'which' and handle legacy
  * Use overrides only with salt version older than 2018.3

  [ Marek Marczykowski-Górecki ]
  * rpm: drop dependency on qubes-mgmt-salt-base-overrides*
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 23 Mar 2019 04:20:03 +0100

## qubes-mgmt-salt-base 4.1.1

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.1-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 27 Jun 2019 01:46:51 +0200

qubes-mgmt-salt-base (4.1.1-1) unstable; urgency=medium

  * pci_devs grains: do not advertise internal functions as grains

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Jun 2019 01:46:51 +0200

## qubes-mgmt-salt-base 4.1.2

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.2-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 06 Jan 2020 00:35:17 +0100

qubes-mgmt-salt-base (4.1.2-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * pci_devs: get audio devices

  [ Marek Marczykowski-Górecki ]
  * Make it compatible with Python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 06 Jan 2020 00:35:17 +0100

## qubes-mgmt-salt-base 4.1.3

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 12 May 2021 02:21:20 +0200

qubes-mgmt-salt-base (4.1.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31
  * Update travis
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 12 May 2021 02:21:20 +0200

## qubes-mgmt-salt-base 4.1.4

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.4-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 28 Oct 2021 02:39:47 +0200

qubes-mgmt-salt-base (4.1.4-1) unstable; urgency=medium

  * debian: drop obsolete qubes-mgmt-salt-base-overrides

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 28 Oct 2021 02:39:47 +0200

## qubes-mgmt-salt-base 4.1.5

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.5-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 05 Dec 2022 00:17:09 +0100

qubes-mgmt-salt-base (4.1.5-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Remove qubes-mgmt-salt-base-overrides during upgrade

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Drop Travis CI
  * Add Qubes Builder v2 integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Dec 2022 00:17:09 +0100

## qubes-mgmt-salt-base 4.1.6

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.6-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 22 Apr 2024 15:00:33 +0200

qubes-mgmt-salt-base (4.1.6-1) unstable; urgency=medium

  * Adjust to fixed NAME field in os-release file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 22 Apr 2024 15:00:33 +0200

## qubes-mgmt-salt-base 4.1.7

=== debian/changelog ===
qubes-mgmt-salt-base (4.1.7-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 17 May 2024 03:21:57 +0200

qubes-mgmt-salt-base (4.1.7-1) unstable; urgency=medium

  [ Ben Grande ]
  * Add tags and features to pillar

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 May 2024 03:21:57 +0200

## qubes-mgmt-salt-base 4.3.0

=== debian/changelog ===
qubes-mgmt-salt-base (4.3.0-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 19 Aug 2024 02:29:30 +0200

qubes-mgmt-salt-base (4.3.0-1) unstable; urgency=medium

  * Use shlex.quote instead of pipes.quote
  * ci: switch to R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 19 Aug 2024 02:29:30 +0200

## qubes-mgmt-salt-base 4.3.1

=== debian/changelog ===
qubes-mgmt-salt-base (4.3.1-1+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 14:05:24 +0000

qubes-mgmt-salt-base (4.3.1-1) unstable; urgency=medium

  * Use new devices API to list PCI devices

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 Apr 2025 17:04:48 +0200

=== debian/control ===
Source: qubes-mgmt-salt-base
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends:
    debhelper (>= 9~),
    quilt
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-mgmt-salt-base
Section: admin
Architecture: all
Depends:
    qubes-mgmt-salt-config,
    qubes-mgmt-salt-base-topd,
    qubes-mgmt-salt-base-config
Description: Custom base modules and states that are shared between dom0 and VM.
